<div style="height: 10px"></div>

<div class="container">
    <div class="row">
        <div class="input-field col s4">
            <input [(ngModel)]="number1" (change)="result()" placeholder="First Number" type="number"/>
        </div>
        <div class="input-field col s4">
            <input [(ngModel)]="number2" (change)="result()" placeholder="Second Number" type="number"/>
        </div>
        <div class="input-field col s4">
            <select [(ngModel)]="operator" (change)="result()" class="browser-default">
                <option value="+" selected>+</option>
                <option value="*">*</option>
                <option value="-">-</option>
                <option value="/">/</option>
            </select>
        </div>
    </div>
    <div class="row">
        <div class="col s6">
            <p>Result: {{ calcResult }} </p>
        </div>
        <div class="col s6">
            <button class="btn waves-effect waves-light yellow darken-2" (click)="result()" style="float: right;">Calculate
                <i class="material-icons right">send</i>
            </button>
        </div>
    </div>
</div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>